RDCIDE(4) | Device Drivers Manual | RDCIDE(4)

# NAME

`rdcide` — RDC IDE disk controllers driver

# SYNOPSIS

`rdcide* at pci? dev ? function ? flags 0x0000`

# DESCRIPTION

The `rdcide` driver supports the RDC IDE controller as found in the vortex86 and PMX-1000 system on chip, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the `rdcide` driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

# SEE ALSO

ata(4), atapi(4), i386/intro(4), pci(4), pciide(4), wd(4), wdc(4)

February 17, 2017 | NetBSD 11.0